require(terra)
require(magrittr)

# Read in csv as matrix
# Set your directory and insert the relevant crop name into the file name below
vals <- read.table("./greenhousegasemissions_[cropname].csv",sep=",") %>% as.matrix(.)

df <- as.data.frame(as.table(t(vals)))

# Apply coordinates to dataframe
res <- 180/2160
lon <- seq(-90 + res/2,90 - res/2,res)
df$Var1 <- lon

res <- 360/4320
lat <- seq(-180 + res/2,180 - res/2,res)
df$Var2 <- lat

head(df)

# Convert to raster
r <- rast(extent = ext(-180,180,-90,90), res = 360/4320, vals = 
            df$Freq, crs = "EPSG:4326")

# Write raster to TIFF file in your directory
writeRaster(r, 'greenhousegasemissions.tif')